PARENT(3PVM)

NAME
pvm_parent - Returns the tid of the process that spawned the calling process.

SYNOPSIS
C	int tid = pvm_parent( void )

Fortran	call pvmfparent( tid )

PARAMETERS

tid Integer returns the task identifier of the parent of the calling process. If the calling process was not created with pvm_spawn, then tid = PvmNoParent.

DESCRIPTION
The routine pvm_parent returns the tid of the process that spawned the calling process. If the calling process was not created with pvm_spawn, then tid is set to PvmNoParent.

EXAMPLES
C:
	tid = pvm_parent();

Fortran:
	CALL PVMFPARENT( TID )

ERRORS
This error condition can be returned by pvm_parent.

PvmNoParent
    The calling process was not created with pvm_spawn.

PvmSysErr
    Can't contact local pvmd.

SEE ALSO